#ifndef __SR_ENEMY1_SPRITE_H__
#define __SR_ENEMY1_SPRITE_H__

#include "SRIconSprite.h"
#include "SRObjectTypes.h"

#define     kIconOneID          0
#define     kIconTwoID          1

#define     kSwitchCountdown    5

class SREnemy1Sprite : public SRIconSprite
{
public:
    SREnemy1Sprite( int startingID );
    ~SREnemy1Sprite();
    
    virtual void Think();
    virtual bool Hit( SRObject *other );
    virtual int Type() { return kEnemyType; }

protected:
    CIconHandle     fIcon1;
    CIconHandle     fIcon2;
    
    int             fIconSwitchTimer;
    bool            fIsIconOne;
};

#endif // __SR_ENEMY1_SPRITE_H__
