#ifndef __SR_AMMO_SPRITE_
#define __SR_AMMO_SPRITE_

#include "SRCgImageSprite.h"

#define     kTakedownPoints     25

class SRAmmoSprite : public SRCgImageSprite
{
public:
    SRAmmoSprite( CFStringRef iconName, SRObject *parent );
    ~SRAmmoSprite();
    
    virtual void Think();
    virtual bool Hit( SRObject *other );
    virtual int Type();
    virtual bool WantsCollisions() { return true; }
    
    void ShipDied();

protected:
    void Die();

    int fParentType;
};

#endif // __SR_AMMO_SPRITE_
